package cloud.javastudy.study.demo.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author https://www.javastudy.cloud
 * @CreateTime 2019/11/2
 **/
@Controller
public class HomeController {

    /**
     * 这种是返回页面的,要注意以下几点
     * 1.Controller上的注解是 @Controller
     * 2.方法的返回值直接是String
     * 3.返回值里面是页面的文件名,和 resource/templates 下面的对应的文件名是一致的
     * @return
     */
    @RequestMapping("/home/showHome")
    public String showHome(){
        return "home";
    }

    /**
     * 如果Controller需要往页面上传值的话
     * 方法1:可以在入参处加一个model
     * @param model
     * @return
     */
    @RequestMapping("/home/showHomeWithModel")
    public String showHomeWithModel(Model model){
        model.addAttribute("key","value");
        return "homeWithModel";
    }

    /**
     * 如果Controller需要往页面上传值的话
     * 方法2:可以返回值定义成ModelAndView
     * @return
     */
    @RequestMapping("/home/showHomeWithModelAndView")
    public ModelAndView showHomeWithModelAndView(){
        ModelAndView modelAndView = new ModelAndView("homeWithModel");
        //向页面上添加数据
        modelAndView.addObject("key","modelAndViewValue");
        return modelAndView;
    }
}
