package cloud.javastudy.study.demo.controller;

import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.core.JsonEncoding;
import com.fasterxml.jackson.core.JsonParser;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author https://www.javastudy.cloud
 * @CreateTime 2019/11/3
 **/
@Controller
public class HomeControllerJSON {

    /**
     * 第一种方法是 @Controller 注解加上 @ResponseBody注解
     * 返回值可以直接用Map , 也可以用转成String之后的JSON串,推荐用后者
     * @return
     */
    @RequestMapping("home/showHomeData")
    @ResponseBody
    public Map showHomeData(){
        Map<String,String> map = new HashMap<>();
        map.put("key","value1");
        return map;
    }

    /**
     * 额外引用了 FastJson的包
     * compile group: 'com.alibaba', name: 'fastjson', version: '1.2.62'
     * @return
     */
    @RequestMapping("home/showHomeDataWithStr")
    @ResponseBody
    public String showHomeDataWithStr(){
        Map<String,String> map = new HashMap<>();
        map.put("key","value2");
        return JSON.toJSONString(map);
    }
}

/**
 * 这种是类上用@RestController 注解
 * 方法上就不用加@ResponseBody了
 */
@RestController
class HomeControllerJSON2{

    @RequestMapping("home/showHomeData2")
    public Map showHomeData(){
        Map<String,String> map = new HashMap<>();
        map.put("key","valueInRestController");
        return map;
    }
}