package cloud.javastudy.study.demo.controller;

import cloud.javastudy.study.demo.dao.TestDAO;
import com.alibaba.fastjson.JSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Author https://www.javastudy.cloud
 * @CreateTime 2019/11/4
 **/
@RestController
public class MybatisController {

    @Autowired
    private TestDAO testDAO;

    /**
     * 先注入testDAO,然后就可以直接调用里面的方法了
     * @return
     */
    @RequestMapping("mybatis/testMybatisByAnnotation")
    public String testMybatisByAnnotation(){
        List<Map> maps = testDAO.listTests();
        return JSON.toJSONString(maps);
    }

    /**
     * 注意这里的传参,使用了@PathVariable,直接通过url传参
     * 这种传参方式一般适用于RestFul接口,以资源为导向的开发
     * 在实际工作中,看团队风格而使用
     * @param id
     * @return
     */
    @RequestMapping("mybatis/testMybatisByProvider/{id}")
    public String testMybatisByProvider(@PathVariable Long id){
        Map map = testDAO.getById(id);
        return JSON.toJSONString(map);
    }

}
