package cloud.javastudy.study.demo.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author https://www.javastudy.cloud
 * @CreateTime 2019/11/4
 **/
@RestController
public class RedisController {

    @Autowired
    private StringRedisTemplate redisTemplate;

    /**
     * 在实际开发中, 对redis的操作通常会封装一个RedisTools
     * RedisTools中还是使用StringRedisTemplate来对redis进行操作
     * 虽然redis提供了很多数类型,更多的使用场景还是把value转成json或者直接转成字符串存redis中
     * @return
     */
    @RequestMapping("redis/testRedis")
    public String testRedis(){
        //向redis里面设置key
        redisTemplate.opsForValue().set("study","javaDemo");
        //从redis里面取出key-value
        String result = redisTemplate.opsForValue().get("study");

        return result;
    }

}
